# SwissGermanAlemannicAlsatian

@Serializable(with = IetfLangSerializer::class )
sealed interface SwissGermanAlemannicAlsatian : IetfLang (source)

#### Inheritors

CH
FR
LI
Companion

## Types

CH
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object CH : IetfLang.SwissGermanAlemannicAlsatian
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.SwissGermanAlemannicAlsatian
FR
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object FR : IetfLang.SwissGermanAlemannicAlsatian
LI
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object LI : IetfLang.SwissGermanAlemannicAlsatian

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale